> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit KYB form

> Submit a filled KYB form for review.

The form will be submitted and you will not be able to edit this KYB form any further
unless additional information will be requested during a manual review.

After submission, automatic blacklist and automation processes are executed.
Then this KYB form will be reviewed by humans.
After manual review, you may receive a webhook callback.



## OpenAPI

````yaml /openapi/kyb.yaml post /kyb/forms/{id}/submit/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /kyb/forms/{id}/submit/:
    post:
      tags:
        - KYB Forms
      summary: Submit KYB form
      description: >-
        Submit a filled KYB form for review.


        The form will be submitted and you will not be able to edit this KYB
        form any further

        unless additional information will be requested during a manual review.


        After submission, automatic blacklist and automation processes are
        executed.

        Then this KYB form will be reviewed by humans.

        After manual review, you may receive a webhook callback.
      operationId: kybFormsSubmitCreate
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: A unique value identifying this company.
          required: true
      responses:
        '200':
          description: No response body
      security:
        - kybTokenAuth: []
components:
  securitySchemes:
    kybTokenAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication for actions with all operations associated with KYB
        form.<br>

        Token obtained from *KYB form token generation* endpoint as
        ``tokenString`` value.<br>

````